Gecode::OperatingSystemError Class Reference

Exception: operating system error More...

`#include <exception.hpp>`

## Public Member Functions

| OperatingSystemError (const char *l)
| Initialize with location l.
Public Member Functions inherited from Gecode::Exception
| Exception (const char *l, const char *i) throw ()
| Initialize with location l and information i.
virtual const char * | what (void) const throw ()
| Return information.

## Detailed Description

Exception: operating system error

Definition at line 75 of file exception.hpp.

## Constructor & Destructor Documentation

## OperatingSystemError()

Gecode::OperatingSystemError::OperatingSystemError | ( | const char * | l | ) |

Initialize with location l.

Definition at line 69 of file exception.cpp.

The documentation for this class was generated from the following files:

- gecode/support/exception.hpp
- gecode/support/exception.cpp